WordPress.org

Ready to get started?Download WordPress

Forums

jQuery / Javascript conflict, WordPress 3.2, Fireforx, Chrome but not IE (16 posts)

  1. reserved
    Member
    Posted 3 years ago #

    Hello everyone and thanks for your time.

    I have updated three blogs tonight to 3.2 and I think, after reading several posts here that I have jQuery or other javascript conflict issue. I can't collapse/expand admin bar, quickedit posts, and more.

    Things I've tried:

    - Health check - Everything was OK (PHP version 5.2.14 and MySQL version 5.0.91)
    - I disabled all the plugins. - No effect
    - Manual Installation. - No Effect
    - TwentyEleven theme. - No Effect

    I tried with Chrome and Firefox and it was not working... but in Internet Explorer is working fine. I have all the browsers up-to-date.

    I really appreciate your help in advance :(

  2. reserved
    Member
    Posted 3 years ago #

    Hello everyone again.

    I tried a new fresh installation in a folder of the website, then I restored the database, without any plugin or theme... and the problem is still there, I can't collapse/expand admin bar, quickedit posts, and more.

    I tried jQuery 1.3.1, replacing the one in the core of WordPress, but I only could expand and collapse the menu, not quickedit, so...

    And it is only working on Internet Explorer!!.

    Please, give me some advice, I'm sure there is more people having the same issue, is WordPress going to fix this or is up to us find the solution?

    Thanks in advance!!

  3. davidsword
    Member
    Posted 3 years ago #

    yeah I've got the same issue too, on various installations..

    other threads have been saying it's because you need JSON enabled for php on the server. & that has worked for lots of people. but I've got JSON enabled and am still getting the issue..

  4. reserved
    Member
    Posted 3 years ago #

    Thanks Davidsword, kind of relief... :|

    Do you think they will fix this in the near future or will we have to find out a solution? I really don't know what to do, I have three blog in a domain, one is perfectly working under 3.2 and the other two are "broken"

  5. davidsword
    Member
    Posted 3 years ago #

    have you or anyone else figured this out yet??

    I'm in the process of downgrading.. as a last resort..

    --

    & i aswell tried tried: deactivating all plugins & changed theme to twentyten too with no result. & my JSON is enabled v1.2.1.& php & mysql both hit the requirment. it's jquery that's not workin

  6. kmessinger
    Volunteer Moderator
    Posted 3 years ago #

    reserved

    I tried with Chrome and Firefox and it was not working... but in Internet Explorer is working fine.

    That would pretty well rule out a wordpress problem.

    davidsword

    yeah I've got the same issue too, on various installations..

    Your's also works in IE?

  7. reserved
    Member
    Posted 3 years ago #

    Yes, in Internet Explorer works completely fine... but I think it's a WordPress problem because I have another three blogs already updated to 3.2 and they are working fine in Firefox, Chrome and Internet Explorer.

    I tried to delete the wp files from one of the blogs which is not working properly and upload the files from one which is working.. but I got no results.

    I also tried to restore the database from this blog (260mb) in a new database and wordpress installation (no plugins, no additional themes) and... it didn't work, it is still causing jQuery / Javascript issues. I have one blog in this domain working with WordPress 3.2 correctly.

    Thanks for all your time.

  8. davidsword
    Member
    Posted 3 years ago #

    The issue was happening to me on all browsers, including IE

    A clean install solved this issue for me... i probably should of done that to start..

  9. kmessinger
    Volunteer Moderator
    Posted 3 years ago #

    reserved
    Working in IE but not FF or Chrome - and this is the backend? The frontend is ok? And you have other installs that work correctly on the same computer in FF and Chrome?

    I tried jQuery 1.3.1

    You should be using jQuery 1.6.1

  10. nix255
    Member
    Posted 3 years ago #

    I have the same problem. None of the dropdown menus work in wordpress 3.2, can't use the text widgets as they don't open, can't logout... The post edit window shows the text but in white so you can only see it if you highlight it and I can't change to html mode. If I turn of the visual editor in the user profile, I can then at least see the text. No good for a customer though.

    This is only happening on one install of wordpress. All the others work fine. The difference seems to be the host. The ones that work are on a different hosting service than the one that doesn't. I've talked to the customer support for the host, but they don't know what the problem is.

    JSON is enabled on both hosting services, so that isn't the problem here.
    Specs for the wordpress install that doesn't work:
    Apache 2.2.16
    php: 5.2.14
    mysql: 5.0.91-community
    on Linux server

    Specs for wordpress installs that do work:
    Apache: 2.2.19
    php: 5.3.6
    mysql 5.1.56-log
    on Linux server

    Just thought I'd add some info in case it helps somewhere along the lines. I was also having an issue with inserting images into posts, which was giving similar jquery errors in wordpress 3.1.3, which is why I upgraded. This problem is still an issue with 3.2. See the thread here:
    http://wordpress.org/support/topic/wordpress-313-insert-imagemedia-popup-window-not-working?replies=3

  11. reserved
    Member
    Posted 3 years ago #

    I just updated to 3.2.1 and nothing changed, I tried automatic updated and then deleted all the wp files and uploaded them manually. It is still not working :(

  12. diegoedel
    Member
    Posted 3 years ago #

    I think I'm having exactly the same problem.
    Maybe is the server.
    Any solution to this?

  13. kmessinger
    Volunteer Moderator
    Posted 3 years ago #

    @diegoedel
    Pls use a new post. No one wants to read thru all the other posts.

    http://codex.wordpress.org/Forum_Welcome

  14. manwell77
    Member
    Posted 3 years ago #

    Think same problem for me!

  15. nix255
    Member
    Posted 2 years ago #

    I discovered that if you upgrade/install wordpress 3.2 from a PC using Internet Explorer the install/upgrade goes smoothly and all drop down menus work in all browsers on all platforms.

    If you upgrade/install using any browser from an apple mac computer, you will get the drop down menu problem, on all platforms and all browsers. If you upgrade from a PC using anything but Internet explorer you will also get the drop down menu problem in all browsers on all platforms.

    After many hours trying all combinations, it seems that installing/upgrading to wordpress 3.2 from a PC using Internet Explorer is the only way you can guarantee a fully functional version of wordpress.

    Hope this helps.

  16. ScalableSite
    Member
    Posted 2 years ago #

    I have a different problem. Vertical menu works fine, but every time I refresh the page or click on page menu bar, it display a drop down sub category list for less than a second, then close by itself. When my cursor touch the menu bar, it works as it should be, fade in or fade out.
    Need help!
    I have all up-today version.

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags